-- Fredzaza --

laserrecepteur = {};
	
	function laserrecepteur.prerequisitesPresent(specializations)
	     return true;
	end;
	
	function laserrecepteur:load(xmlFile)
	

		self.pointzero = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.pointzero#index"));
		
		self.lumhaut = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.lumhaut#index"));
		setVisibility(self.lumhaut, false)
		
		self.lumvert = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.lumvert#index"));
		setVisibility(self.lumvert, false)
		
		self.lumbas = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.lumbas#index"));
		setVisibility(self.lumbas, false)


	end;


	
	function laserrecepteur:delete()
	end;
	
	function laserrecepteur:mouseEvent(posX, posY, isDown, isUp, button)
	end;
	
	function laserrecepteur:keyEvent(unicode, sym, modifier, isDown)
	end;
	
	function laserrecepteur:update(dt)
	end; 
	
	function laserrecepteur:updateTick(dt)
		local nearestDistance = 0.2;
		local nearestDistance2 = 60;
		local px, py, pz = getWorldTranslation(self.pointzero);
	    for i=1, table.getn(g_currentMission.vehicles) do
       		local fred = g_currentMission.vehicles[i];
       		if fred.laser ~= nil then
       			local vx, vy, vz = getWorldTranslation(fred.laser);
                local distance = Utils.vector3Length(0, py-vy, 0);
				local distance2 = Utils.vector3Length(px-vx, 0, pz-vz);
                if distance < 0.2 then
					setVisibility(self.lumvert, true)
					setVisibility(self.lumbas, false)
					setVisibility(self.lumhaut, false)
				else
					setVisibility(self.lumvert, false)
	 			end;
				if py > vy and distance < 0.7 and distance > 0.2 then
					setVisibility(self.lumhaut, true)
				end;
				if py < vy and distance < 0.7 and distance > 0.2 then
					setVisibility(self.lumbas, true)
				end;
				if distance > 1 then
					setVisibility(self.lumvert, false)
					setVisibility(self.lumbas, false)
					setVisibility(self.lumhaut, false)
	 			end;
				if distance2 > nearestDistance2 then
					setVisibility(self.lumvert, false)
					setVisibility(self.lumbas, false)
					setVisibility(self.lumhaut, false)
	 			end;
	 		end;
		end;
	end;
	
	function laserrecepteur:draw()
	end;
	
